For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet list of SMS routing entries
        • POSTCreate a new SMS routing entry
        • GETFetch SMS routing entry by ID
        • DELDelete an SMS routing entry
        • PATCHUpdate an SMS routing entry
        • GETGet list of SMS routing data
        • POSTCreate SMS routing data
        • DELDelete SMS routing data
        • PATCHUpdate SMS routing data
LogoLogo
Request featuresContact support
API ReferenceSms Routing

Fetch SMS routing entry by ID

GET
https://cdn.emnify.net/api/v1/sms_routing/:routing_id
GET
/api/v1/sms_routing/:routing_id
$curl https://cdn.emnify.net/api/v1/sms_routing/routing_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": 39,
3 "description": "Test Routing Entry",
4 "organisation": {
5 "name": "org2",
6 "organisation_type_id": "0",
7 "country_id": "219",
8 "organisation_status_id": "0",
9 "ext_reference": "--",
10 "monthly_cost_limit": null,
11 "currency_id": 1,
12 "organisation_class_id": 0,
13 "created": "2020-02-01T00:00:00.000Z",
14 "verification_type_id": null,
15 "verification": "",
16 "brand_id": "1",
17 "default_sms_routing_id": null,
18 "id": 2
19 }
20}
Returns an SMS routing entry by ID. Only returns entries belonging to the logged in organization and the configured default route.
Was this page helpful?
Previous

Create a new SMS routing entry

Next

Delete an SMS routing entry

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

routing_idstringRequired

Response

OK
iddouble
descriptionstring
organisationobject

Errors

403
Forbidden Error